<?php
/** 
* @package	Galeria Suczawa 2009 
* @file		admin/user_add.php
* @version	$Id$
**/

$msg = '';

if (isset($_POST['nick']))
{
	#oczyszczamy z syfu - dodawanie jest w PA, ale no coz...
	$_POST['nick'] = addslashes(strip_tags(trim($_POST['nick'])));
	$_POST['email'] = addslashes(strip_tags(trim($_POST['email'])));
	
	#chwila dla debila :D
	if (strlen($_POST['nick'])==0)
	{
		$msg = 'Nie podałeś nicku!';
	}
	
	if ($msg == '')
	{
		$sql = "SELECT `id` FROM `admins` WHERE `nick` ='".$_POST['nick']."';";
		if (!$result = $DB->query($sql))
		{
			blad('Nie mozna sprawdzic, czy nick nie zostal zajety.');
		}
		if ($result->num_rows>0)
		{
			$msg = 'Oj, jak mi przykro! Twój nick jest już zajęty.';
		}
		$result->free();
	}
	
	if ($msg == '' && strlen(trim($_POST['pass'])) < 4)
	{
		$msg = 'Twoje hasło jest krótsze niż cztery znaki. Zastanów się...';
	}
	
	if ($msg == '' && !ereg ("^.+@.+\..+$", $_POST['email']))
	{
		$msg = 'Adres email jest nieprawidłowy!';
	}
	
	#przejdzmy do konkretow
	
	if ($msg == '')
	{
		#czyszczenie i hashowanie hasla...
		$_POST['pass'] = md5(addslashes(strip_tags(trim($_POST['pass']))));
		
		#i dodajemy admina do bazy, wreszcie ;)
		$sql = "INSERT INTO `admins` VALUES ('', '".$_POST['nick']."', '".$_POST['pass']."', '".$_POST['email']."', 'Brak')";
		if (!$DB->query($sql))
		{
			blad('Nie mozna zarejestrowac administratora!');
		}
		Przekieruj('index.php?mode=admin_users', 'Użytkownik został pomyślnie dopisany! Przekierowanie...');
	}
}
if ($msg != '')
{
	$msg = '<span style="color: red; font-weight: bold">'.$msg.'</span>';
}
$_POST['nick'] = (!isset($_POST['nick'])) ? '' : $_POST['nick'];
$_POST['email'] = (!isset($_POST['email'])) ? '' : $_POST['email'];
NaglowekPA('Dodaj użytkownika');
?>
<br />
<br />
<?php echo $msg; ?>
<form action="<?php echo $_SERVER['REQUEST_URI']; ?>" method="POST">
<table width="600" border="1" style="border-color: gray; border-style: solid; border-collapse: collapse">
	<tr>
		<td colspan="2" bgcolor="yellow">Dodaj nowego użytkownika</td>
	</tr>
	<tr>
		<td align="right">Nazwa użytkownika:</td>
		<td align="left"><input type="text" name="nick" value="<?php echo $_POST['nick']; ?>" /></td>
	</tr>
	<tr>
		<td align="right">Hasło:</td>
		<td align="left"><input type="password" name="pass" /></td>
	</tr>
	<tr>
		<td align="right">Email:</td>
		<td align="left"><input type="text" name="email" value="<?php echo $_POST['email']; ?>" /></td>
	</tr>
	<tr>
		<td colspan="2">
			<input type="submit" value="Zapisz" />&nbsp;&nbsp;
			<input type="reset" value="Wyczyść" />
		</td>
	</tr>
</table>
<br />
<?php StopkaPA(); ?>